Subject: bug#24401:

From: Clément Pit--Claudel <[email-masked]>
Date: Fri, 2 Dec 2016 16:24:48 -0500

On 2016-12-02 12:13, Davor Rotim wrote:
> Happens with a new user if I have this in my .inputrc:
> 
> $include /etc/inputrc # tried also without this, same result
> set colored-stats on
> 
> As soon as the line is removed or the variable is set to conditionally
> disabled everything works again.
> 
> This was tested on:
> GNU bash, version 4.4.5(1)-release (x86_64-unknown-linux-gnu)
> Readline 7.0
> 
> There's no rush to merge the patch if someone else wants to test this.

Indeed, I'd love some help testing this; I don't think the version of bash plays much of a role (since we're calling python directly), but the version of readline may.

On my machine, changing the .inputrc does change bash's behaviour, but it doesn't make a difference in Emacs' python shell (and so I don't get a warning).

Clément.